Subject: Re: [bitcoin-dev] BIP: Full Replace-by-Fee deployment schedule

From: Tom Harding <[email-masked]>
Date: Mon, 29 Jun 2015 18:00:11 -0700

On 6/29/2015 5:51 PM, Natanael wrote:
> What you ask to see implemented will trivially fall to a sybil attack. 
> It isn't securable. It is running on the honor system exclusively. It 
> will be attacked, it will fail, losses will be had, the attackers will 
> walk away with embarrassingly large sums. 

Oh please.  Checking that a node does relay something is not much 
different than banning it for relaying garbage.

It just happens to require that you have two nodes and coordinate them 
somehow.  I didn't offer a complete design, don't claim magical 
properties, and certainly didn't mean to imply that nodes passing a test 
could be trusted (as you suggest with your "accountable parties").